Class | Bio::PAML::Codeml::PositiveSite
In: | lib/bio/appl/paml/codeml/report.rb
Parent: | Object

A record of codon sites, across the sequences in the alignment, showing evidence of positive selection.

This class is used for storing both codeml‘s full Bayesian and naive Bayesian analysis

### Methods

dN_dS new to_a w

### External Aliases

probability | -> | p

### Attributes

aaref | [R] |
omega | [R] |
position | [R] |
probability | [R] |

### Public Class methods

new(fields)

[Source]

         # File lib/bio/appl/paml/codeml/report.rb, line 492
    492:       def initialize fields
    493:         @position    = fields[0].to_i
    494:         @aaref       = fields[1].to_s
    495:         @probability = fields[2].to_f
    496:         @omega       = fields[3].to_f
    497:       end

### Public Instance methods

dN_dS()

Return dN/dS (or omega) for this codon

[Source]

         # File lib/bio/appl/paml/codeml/report.rb, line 500
    500:       def dN_dS
    501:         omega
    502:       end

to_a()

Return contents as Array - useful for printing

[Source]

         # File lib/bio/appl/paml/codeml/report.rb, line 509
    509:       def to_a
    510:         [ @position, @aaref, @probability, @omega ]
    511:       end

w()

Alias for dN_dS

[Validate]